using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Data.OleDb;

namespace TobbAblak
{
    public partial class Login : Form
    {
        OleDbCommand cm;        
        OleDbDataAdapter da;
        DataTable dt;

        public Login()
        {
            InitializeComponent();

            string s = "select count(*) from login";
            cm = new OleDbCommand(s, BD.co);
            if (BD.co.State != ConnectionState.Open) BD.co.Open();
            int x = (int)cm.ExecuteScalar();
            label3.Text = "Felhasználók száma: " + x;
            s = "select max(pont) from pontok";
            cm.CommandText = s;
            x = (int)cm.ExecuteScalar();
            label4.Text = "Max pontszam: " + x;


            s = "select * from login";
            da = new OleDbDataAdapter(s, BD.co);
            dt = new DataTable();
            da.Fill(dt);
            comboBox1.DataSource = dt;
            comboBox1.DisplayMember = "Nev";
            comboBox1.SelectedIndex = 1; //ne az admin-anl kezdje...
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string nev = comboBox1.Text;
            string jszo = textBox2.Text;

            int x = comboBox1.SelectedIndex;
            label5.Text = dt.Rows[x][2].ToString();

            if (jszo == label5.Text)
            {
                Adat.fhnev = nev;
                this.DialogResult = DialogResult.OK;
                Close();
            }
            else
            {
                textBox2.Text = "";
                textBox2.Focus();
            }
        }

        private void Login_Load(object sender, EventArgs e)
        {
            comboBox1.SelectedIndex = 1;
            textBox2.Focus();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            int x = comboBox1.SelectedIndex;
            if (x != -1)
            {
                label5.Text = dt.Rows[x][2].ToString();
                textBox2.Focus();            
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            NewUser x = new NewUser();
            x.dt = dt; //átadom a létezö felhasználók listáját
            if (x.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                string nev, jsz ;
                nev = x.textBox1.Text;
                jsz = x.textBox2.Text;

                cm.CommandText = "insert into login (nev,jelszo) values('" +
                    nev+"','"+jsz+"');";
                int a = cm.ExecuteNonQuery();

                if (a != 0)
                {
                    //dt.Clear(); //törlöm a régi táblát
                    //da.Fill(dt); //újra lekérem a listát


                    DataRow dr = dt.NewRow();  // készítek egy új sort
                    dr[1] = nev; //kitöltöm a "fontos" adatokat
                    dr[2] = jsz;
                    dt.Rows.Add(dr); // hozzáadom a táblázathoz
                    

                    comboBox1.Text = nev; //az előbb hozzáadott diákot állítom választom ki
                    textBox2.Text = "";
                    textBox2.Focus(); //be kell írni a jelszót
                }
                else
                    MessageBox.Show("Nem ok!");
            }
        }
    }
}
